Page MenuHomePhabricator

Deploy Growth features on Serbo-Croatian Wikipedia
Closed, ResolvedPublicOct 7 2021

Description

Translations

Help panel

  • Help pages (you can provide either a Wikidata link or a link to your wiki):
TaskTranslation of the labelLink
Manual of stylekako pisati člankehttps://sh.wikipedia.org/wiki/Wikipedia:Stil
Help:EditingKako uređivati stranicuhttps://www.mediawiki.org/wiki/Special:MyLanguage/Help:VisualEditor/User_guide
Inserting images (using the visual editor)Ubaciti i neku sliku u članakhttps://www.mediawiki.org/wiki/Special:MyLanguage/Help:VisualEditor/User_guide#Images
Inserting references (using the visual editor)Kako u člancima navoditi izvore podatakahttps://www.mediawiki.org/wiki/Special:MyLanguage/Help:VisualEditor/User_guide#Editing_references
Article WizardKako stvoriti novu stranicuhttps://sh.wikipedia.org/wiki/Wikipedia:Kako_stvoriti_novu_stranicu

Mentorship module (optional)

Suggested edits

Suggested edits are based on these 5 task-types. At the moment, they can't be substituted. Please check maintenance template and links:

For templates only, you can suggest more templates that match the task description.

Anything else?

Do you have any particular information or configuration that we should be aware of (like you have a special in-person mentoring program, or your wiki uses FlaggedRevisions...):

Event Timeline

Restricted Application changed the subtype of this task from "Task" to "Deadline". · View Herald Transcript

Change 674654 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] shwiki: Enable Growth features in dark mode

https://gerrit.wikimedia.org/r/674654

Change 674654 merged by jenkins-bot:
[operations/mediawiki-config@master] shwiki: Enable Growth features in dark mode

https://gerrit.wikimedia.org/r/674654

Mentioned in SAL (#wikimedia-operations) [2021-03-24T19:00:26Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: 0f3aa7278d17c88f27b7d58ceede82730fd4ddcd: shwiki: Enable Growth features in dark mode (T278240; 1/3) (duration: 01m 07s)

Mentioned in SAL (#wikimedia-operations) [2021-03-24T19:01:59Z] <urbanecm@deploy1002> Synchronized dblists/growthexperiments.dblist: 0f3aa7278d17c88f27b7d58ceede82730fd4ddcd: shwiki: Enable Growth features in dark mode (T278240; 2/3) (duration: 01m 06s)

Mentioned in SAL (#wikimedia-operations) [2021-03-24T19:03:25Z] <urbanecm@deploy1002> Synchronized wmf-config/config/shwiki.yaml: 0f3aa7278d17c88f27b7d58ceede82730fd4ddcd: shwiki: Enable Growth features in dark mode (T278240; 3/3) (duration: 01m 08s)

Change 674988 had a related patch set uploaded (by Urbanecm; author: Urbanecm):
[mediawiki/extensions/GrowthExperiments@master] Add Serbo-Croatian aliases

https://gerrit.wikimedia.org/r/674988

Change 674988 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Add Serbo-Croatian aliases

https://gerrit.wikimedia.org/r/674988

I informed the community about the depeloyment of the features. However, the actual deployment date is not really set, since we miss all templates for easy tasks.

Still missing templates for easy tasks. I ping some users to help me with it, but we might consider at some point to deploy without easy tasks...

Still missing templates for easy tasks. I ping some users to help me with it, but we might consider at some point to deploy without easy tasks...

Maybe we should wait for structured add-a-link task to be widely available here?

Maybe we should wait for structured add-a-link task to be widely available here?

It would be in a while.

Instead, we would deploy without easy tasks, which requires to have T278825: Provide an empty state message to indicate when there is no suggested edit type for a given task level being fixed first.

kostajh triaged this task as Medium priority.Apr 15 2021, 8:01 AM
Urbanecm_WMF lowered the priority of this task from Medium to Low.
Urbanecm_WMF moved this task from Inbox to Blocked on the Growth-Team board.
Urbanecm_WMF subscribed.

@Trizek-WMF -- looking over the comments here, maybe this wiki is unblocked? Because we could give them "add a link"?

Latest discussions were about getting the interface being translated, but Serbian or Croation can be used.

I'm moving it to Backlog, so that @Urbanecm_WMF can proceed on the deployment in Dark mode (anytime). I'll notify the community afterwards, so that they can check on the configuration.

As far as I can see @Trizek-WMF, the wiki is already in dark mode (without add a link though). If structured add a link is to be deployed, I'll need one of the other engineers to train the models for it (or I can probably attempt to do it myself, documentation appears to be precise and easy-to-follow).

Trizek-WMF moved this task from Blocked to Backlog on the User-Urbanecm_WMF (Engineering) board.

I set a deployment date. @Urbanecm_WMF, if this date is not suiting you, please schedule another time (Monday next week, for instance).

Change 727431 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[operations/mediawiki-config@master] shwiki: Deploy Growth features to newcomers

https://gerrit.wikimedia.org/r/727431

Change 727431 merged by jenkins-bot:

[operations/mediawiki-config@master] shwiki: Deploy Growth features to newcomers

https://gerrit.wikimedia.org/r/727431

Mentioned in SAL (#wikimedia-operations) [2021-10-07T18:20:02Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: 31770f2b3660e7d7490c0a9ab66285c1f069732d: shwiki: Deploy Growth features to newcomers (T278240) (duration: 01m 04s)

I set a deployment date. @Urbanecm_WMF, if this date is not suiting you, please schedule another time (Monday next week, for instance).

This just happened.

Etonkovidova subscribed.

Checked - the Growthexperiments features look fine. I've updated the ticket - marked Translate aliases as Done.